Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QCompleter.ModelSorting

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QCompleter.ModelSorting

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QCompleter

    public static final class QCompleter.ModelSorting

extends java.lang.Enum
implements QtEnumerator

This enum specifies how the items in the model are sorted.

See also:
  setModelSorting().

See Also:
  Serialized Form

Field Summary
`static QCompleter.ModelSorting` | `CaseInsensitivelySortedModel` The model is sorted case insensitively.
`static QCompleter.ModelSorting` | `CaseSensitivelySortedModel` The model is sorted case sensitively.
`static QCompleter.ModelSorting` | `UnsortedModel` The model is unsorted.

Method Summary
`static QCompleter.ModelSorting` | `resolve(int value)` Returns the QCompleter$ModelSorting constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QCompleter.ModelSorting` | `valueOf(java.lang.String name)`
`static QCompleter.ModelSorting[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UnsortedModel

    public static final QCompleter.ModelSorting UnsortedModel

  The model is unsorted.

### CaseSensitivelySortedModel

    public static final QCompleter.ModelSorting CaseSensitivelySortedModel

  The model is sorted case sensitively.

### CaseInsensitivelySortedModel

    public static final QCompleter.ModelSorting CaseInsensitivelySortedModel

  The model is sorted case insensitively.

Method Detail

### values

    public static QCompleter.ModelSorting[] values()

### valueOf

    public static QCompleter.ModelSorting valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QCompleter.ModelSorting resolve(int value)

  Returns the QCompleter$ModelSorting constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD